body, html {
  height: 90%;
  margin: 0;
  font-family: 'Poppins', sans-serif;
  background: url('../img/bg.jpg') no-repeat center center fixed;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
 
}

.overlay {
  background: rgba(255, 255, 255, 0.42);
  backdrop-filter: blur(10px);
  border-radius: 0px;
  padding: 15px;
  text-align: center;
  
}

.header {
  background-color: #4761f7b0;
  color: #fff;
  padding: 10px 0;
  text-align: center;
  width: 350px;
  border-radius: 4px;
}

.header img {
  height: 50px;
  
}

.image-container {
  margin: 20px 0;
  
}

.fixed-size-image {
  width: 350px; /* Ajustez cette valeur selon vos besoins */
  height: 350px; /* Ajustez cette valeur selon vos besoins */
  object-fit: cover;
  border-radius: 4px;
}

.center {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.button {
  width: 80px;
  height: 80px;
  border: 5px solid white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.lines {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.1s;
}

.line {
  width: 6px;
  height: 40px;
  background: #4761f7;
  border-radius: 5mm;
  margin: 0 10px;
}

.move .line {
  height: 20px;
  transition: 0.25s ease-in-out;
}

.move .line:nth-child(1) {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  transform-origin: bottom;
}

.move .line:nth-child(2) {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  transform-origin: top;
}

#toggle:not(:checked) + .button .move .line:nth-child(1) {
  transform: rotate(-60deg) translateY(2px);
  border-radius: 5mm;
  height: 40px;
}

#toggle:not(:checked) + .button .move .line:nth-child(2) {
  transform: rotate(60deg) translateY(-2px);
  border-radius: 5mm;
  height: 40px;
}

#toggle:not(:checked) + .button .move {
  transform: translateX(5px);
}

.move {
  transition: 0.2s ease-in;
}

#toggle {
  display: none;
}

.button:active .lines {
  transform: scale(0.95);
  
}

.volume-slider {
  display: inline-block;
  width: 60%;
  margin-left: 10px;
  margin-right: 10px;
  
}

.volume-slider input[type="range"] {
  width: 100%;
  -webkit-appearance: none;
  appearance: none;
  height: 2px;
  background: #4761f7; /* Changer la couleur de la barre en noir */
  outline: none;
  opacity: 0.7;
  border-radius: 5px;
  transition: opacity .2s;
}

.volume-slider input[type="range"]:hover {
  opacity: 1;
}

.volume-slider input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  background: #4761f7;
  border-radius: 100%;
  border-color: #ffffff;
  border-style: solid;
  border-width: 5px;
  cursor: pointer;
}

.volume-slider input[type="range"]::-moz-range-thumb {
  width: 15px;
  height: 15px;
  background: #4761f7;
  cursor: pointer;
  border-radius: 100%;
  border-color: #ffffff;
  border-width: 4px;
}

.volume-control {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
 
}

.volume-button {
  background: none;
  border: none;
  cursor: pointer;
  margin: 0 5px; /* Réduire la marge pour centrer la barre */
  color: #0000008f;
  
}

.volume-button :hover{
  background: none;
  border: none;
  cursor: pointer;
  color: #000000;
  
}


.footer {
  margin-top: 20px;
}

.footer a {
  color: #fff;
  text-decoration: none;
  margin: 0 10px;
}

.footer a img {
  height: 50px;
}

.playlist-name {
  max-width: 350px; /* La largeur maximale correspond à la largeur de l'image */
  margin: 0 auto; /* Centrer horizontalement */
  white-space: nowrap; /* Empêche le texte de passer à la ligne */
  overflow: hidden; /* Cache le texte qui déborde */
  text-overflow: ellipsis; /* Ajoute des points de suspension à la fin du texte débordant */
  font-size: 1.5em;
  color: #0000008f;
  text-align: center; /* Centre le texte */
}

h2 {
  margin-top: 100px;
  height: 100%;
  margin: 20px;
  font-family: 'Poppins', sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  color:#ffffff;
}
